Show / Hide Table of Contents

# Enum SignatureUseFlags

Use flags for a signature attribute. This tells SignatureHelper how to use the result of the signature.

###### Namespace: Dalamud.Utility.Signatures

###### Assembly: Dalamud.dll

##### Syntax

    public enum SignatureUseFlags

### Fields

Name | Description
--- | ---
Auto | SignatureHelper will use simple heuristics to determine the best signature use for the field/property.
Hook | The signature should be used as a hook. This is correct for Hook<T> fields/properties.
Offset | The signature should be used to determine an offset. This is the default for all primitive types. SignatureHelper will read from the memory at this signature and store the result in the field/property. An offset from the signature can be specified in the SignatureAttribute.
Pointer | The signature should be used as a plain pointer. This is correct for static addresses, functions, or anything else that's an System.IntPtr at heart.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()